1.2
1.2
get /v1/privatelink-services
Description
Get PrivateLink Service List.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | PrivateLink Service ID Example : e3df2e8e3b374fbb81d4e322b52ca50d | any of [string, null] | None |
| query | name optional | PrivateLink Service Name Example : ServiceName | any of [string, null] | None |
| query | vpc_id optional | VPC Id Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | subnet_id optional | Subnet Id Example : 023c57b14f11483689338d085e061492 | any of [string, null] | None |
| query | service_ip_address optional | Service IP Address Example : 192.167.0.5 | any of [string, null] | None |
| query | connected_resource_id optional | Connected Resource ID Example : a3e3a662a4f34442a94166df5ff9f577 | any of [string, null] | None |
| query | connected_resource_type optional | Connected Resource Type Example : LB | any of [enum (LB, IP), null] | None |
| query | connected_resource_name optional | Connected Resource Name Example : lbResourceName | any of [string, null] | None |
| query | connected_resource_ip_address optional | Connected Resource IP Address Example : 192.167.0.10 | any of [string, null] | None |
| query | state optional | PrivateLink Service State Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkServiceListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"privatelink_services": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"approval_type": "AUTO",
"connected_resource_id": "a3e3a662a4f34442a94166df5ff9f577",
"connected_resource_ip_address": "192.167.0.10",
"connected_resource_name": "lbResourceName",
"connected_resource_type": "LB",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "e3df2e8e3b374fbb81d4e322b52ca50d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServiceName",
"service_ip_address": "192.167.0.5",
"state": "CREATING",
"subnet_id": "023c57b14f11483689338d085e061492",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}